NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricUtilities::ModlMotion Class Reference

Represents a NXOpen::GeometricUtilities::ModlMotion. More...

Inheritance diagram for NXOpen::GeometricUtilities::ModlMotion:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Delta { DeltaReferenceAcsWorkPart, DeltaReferenceAcsDisplayPart, DeltaReferenceWcsWorkPart, DeltaReferenceWcsDisplayPart }
 Represents the options of Delta XYZ. More...
 
enum  Options {
  OptionsAlongCurveAngle, OptionsDistanceAngle, OptionsDistance, OptionsAngle,
  OptionsDistanceBetweenPoints, OptionsRadialDistance, OptionsPointToPoint, OptionsRotateByThreePoints,
  OptionsAlignAxisVector, OptionsCsysToCsys, OptionsDynamic, OptionsDeltaXyz,
  OptionsNone
}
 Represents the options of Motion. More...
 

Public Member Functions

NXOpen::AxisAlignVector ()
 Returns the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option. More...
 
NXOpen::GeometricUtilities::ModlAlongCurveAngleAlongCurveAngle ()
 Returns the alongCurveAngle of NXOpen::GeometricUtilities::ModlMotion::OptionsAlongCurveAngle motion option. More...
 
NXOpen::ExpressionAngle ()
 Returns the angle of NXOpen::GeometricUtilities::ModlMotion::OptionsAngle motion option. More...
 
NXOpen::AxisAngularAxis ()
 Returns the angular axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAngle motion option. More...
 
NXOpen::GeometricUtilities::ModlMotion::Delta DeltaEnum ()
 Returns the delta enum
Created in NX6.0.2. More...
 
double DeltaX ()
 Returns the delta x
More...
 
NXOpen::ExpressionDeltaXc ()
 Returns the delta xc
Created in NX7.0.0. More...
 
double DeltaY ()
 Returns the delta y
More...
 
NXOpen::ExpressionDeltaYc ()
 Returns the delta yc
Created in NX7.0.0. More...
 
double DeltaZ ()
 Returns the delta z
More...
 
NXOpen::ExpressionDeltaZc ()
 Returns the delta zc
Created in NX7.0.0. More...
 
NXOpen::GeometricUtilities::ModlDistanceAngleDistanceAngle ()
 Returns the distance-angle of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceAngle motion option. More...
 
NXOpen::ExpressionDistanceBetweenPointsDistance ()
 Returns the distance of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
NXOpen::PointDistanceBetweenPointsMeasurePoint ()
 Returns the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
NXOpen::ExpressionDistanceBetweenPointsOriginDistance ()
 Returns the distance between origin point and face of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
NXOpen::PointDistanceBetweenPointsOriginPoint ()
 Returns the origin point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
NXOpen::DirectionDistanceBetweenPointsVector ()
 Returns the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
NXOpen::ExpressionDistanceValue ()
 Returns the distance value of NXOpen::GeometricUtilities::ModlMotion::OptionsDistance motion option. More...
 
NXOpen::DirectionDistanceVector ()
 Returns the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistance motion option. More...
 
NXOpen::PointEndPoint ()
 Returns the end point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option. More...
 
NXOpen::CoordinateSystemFromCsys ()
 Returns the "from csys" of NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys motion option . More...
 
NXOpen::PointFromPoint ()
 Returns the "from point" of NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint motion option. More...
 
NXOpen::Matrix3x3 ManipulatorMatrix ()
 Returns the matrix of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option. More...
 
NXOpen::Point3d ManipulatorOrigin ()
 Returns the origin point of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option. More...
 
bool MoveHandle ()
 Returns the move handle toggle of NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.If true,moves only manipulator handle. More...
 
NXOpen::GeometricUtilities::ModlMotion::Options Option ()
 Returns the options. More...
 
NXOpen::GeometricUtilities::OrientXpressBuilderOrientXpress ()
 Returns the orientXpress. More...
 
NXOpen::AxisRadialAxis ()
 Returns the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option. More...
 
NXOpen::ExpressionRadialDistance ()
 Returns the distance value of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option. More...
 
NXOpen::PointRadialMeasurePoint ()
 Returns the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option. More...
 
NXOpen::ExpressionRadialOriginDistance ()
 Returns the distance between axis point and face of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option. More...
 
void ResetMotionToThreeDimensions ()
 Reset motion to three dimensions
Created in NX6.0.0. More...
 
NXOpen::AxisRotateVector ()
 Returns the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option. More...
 
void SetAlignVector (NXOpen::Axis *alignVector)
 Sets the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option. More...
 
void SetAngularAxis (NXOpen::Axis *angularAxis)
 Sets the angular axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAngle motion option. More...
 
void SetDeltaEnum (NXOpen::GeometricUtilities::ModlMotion::Delta deltaEnum)
 Sets the delta enum
Created in NX6.0.2. More...
 
void SetDeltaX (double deltaX)
 Sets the delta x
More...
 
void SetDeltaY (double deltaY)
 Sets the delta y
More...
 
void SetDeltaZ (double deltaZ)
 Sets the delta z
More...
 
void SetDependentView (NXOpen::View *view)
 Set the view for view dependent drafting objects
Created in NX7.5.0. More...
 
void SetDistanceBetweenPointsMeasurePoint (NXOpen::Point *measurePoint)
 Sets the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
void SetDistanceBetweenPointsOriginPoint (NXOpen::Point *originPoint)
 Sets the origin point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
void SetDistanceBetweenPointsVector (NXOpen::Direction *vector)
 Sets the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option. More...
 
void SetDistanceVector (NXOpen::Direction *distanceVector)
 Sets the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistance motion option. More...
 
void SetEndPoint (NXOpen::Point *endPoint)
 Sets the end point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option. More...
 
void SetFromCsys (NXOpen::CoordinateSystem *fromcsys)
 Sets the "from csys" of NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys motion option . More...
 
void SetFromPoint (NXOpen::Point *fromPoint)
 Sets the "from point" of NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint motion option. More...
 
void SetManipulatorMatrix (const NXOpen::Matrix3x3 &manipulatorMatrix)
 Sets the matrix of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option. More...
 
void SetManipulatorOrigin (const NXOpen::Point3d &manipulatorOrigin)
 Sets the origin point of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option. More...
 
void SetMotionToTwoDimensions (NXOpen::Plane *plane)
 Set motion to two dimensions along the given plane
Created in NX6.0.0. More...
 
void SetMoveHandle (bool moveHandle)
 Sets the move handle toggle of NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.If true,moves only manipulator handle. More...
 
void SetOption (NXOpen::GeometricUtilities::ModlMotion::Options type)
 Sets the options. More...
 
void SetRadialAxis (NXOpen::Axis *radialAxis)
 Sets the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option. More...
 
void SetRadialMeasurePoint (NXOpen::Point *radialMeasuPoint)
 Sets the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option. More...
 
void SetRotateVector (NXOpen::Axis *rotateVector)
 Sets the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option. More...
 
void SetStartPoint (NXOpen::Point *startPoint)
 Sets the start point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option. More...
 
void SetToCsys (NXOpen::CoordinateSystem *tocsys)
 Sets the "to csys" where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys . More...
 
void SetToPoint (NXOpen::Point *toPoint)
 Sets the point where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint
Created in NX6.0.0. More...
 
void SetToVector (NXOpen::Direction *toVector)
 Sets the vector of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option. More...
 
void SetUpdateOption (NXOpen::SmartObject::UpdateOption option)
 Set the update option for defining the update behavior for the object. More...
 
NXOpen::PointStartPoint ()
 Returns the start point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option. More...
 
NXOpen::CoordinateSystemToCsys ()
 Returns the "to csys" where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys . More...
 
NXOpen::PointToPoint ()
 Returns the point where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint
Created in NX6.0.0. More...
 
NXOpen::DirectionToVector ()
 Returns the vector of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::GeometricUtilities::ModlMotion.


Created in NX6.0.0.

Member Enumeration Documentation

Represents the options of Delta XYZ.

Enumerator
DeltaReferenceAcsWorkPart 

Reference CSYS is absolute coordinate system in the work part.

DeltaReferenceAcsDisplayPart 

Reference CSYS is absolute coordinate system in the display part.

DeltaReferenceWcsWorkPart 

Reference CSYS is work coordinate system in the work part.

DeltaReferenceWcsDisplayPart 

Reference CSYS is work coordinate system in the display part.

Represents the options of Motion.

Enumerator
OptionsAlongCurveAngle 

Move by AlongCurve-Angle.

OptionsDistanceAngle 

Move by Distance-Angle.

OptionsDistance 

Move by Distance.

OptionsAngle 

Move by Angle.

OptionsDistanceBetweenPoints 

Move by Distance between Points.

OptionsRadialDistance 

Move by Radial Distance.

OptionsPointToPoint 

Move by Point to Point.

OptionsRotateByThreePoints 

Move by Rotate by Three Points.

OptionsAlignAxisVector 

Move by Align Axis to Vector.

OptionsCsysToCsys 

Move by CSYS to CSYS.

OptionsDynamic 

Move by Dynamic.

OptionsDeltaXyz 

Move by delta XYZ.

OptionsNone 

No move.

Member Function Documentation

NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::AlignVector ( )

Returns the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::ModlAlongCurveAngle* NXOpen::GeometricUtilities::ModlMotion::AlongCurveAngle ( )

Returns the alongCurveAngle of NXOpen::GeometricUtilities::ModlMotion::OptionsAlongCurveAngle motion option.


Created in NX8.5.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::Angle ( )

Returns the angle of NXOpen::GeometricUtilities::ModlMotion::OptionsAngle motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::AngularAxis ( )

Returns the angular axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAngle motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::ModlMotion::Delta NXOpen::GeometricUtilities::ModlMotion::DeltaEnum ( )

Returns the delta enum
Created in NX6.0.2.



License requirements : None

double NXOpen::GeometricUtilities::ModlMotion::DeltaX ( )

Returns the delta x

Deprecated:
Deprecated in NX8.5.0.

Obtain the expression using NXOpen::GeometricUtilities::ModlMotion::DeltaXc to query or edit it.


Created in NX6.0.2.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DeltaXc ( )

Returns the delta xc
Created in NX7.0.0.



License requirements : None

double NXOpen::GeometricUtilities::ModlMotion::DeltaY ( )

Returns the delta y

Deprecated:
Deprecated in NX8.5.0.

Obtain the expression using NXOpen::GeometricUtilities::ModlMotion::DeltaYc to query or edit it.


Created in NX6.0.2.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DeltaYc ( )

Returns the delta yc
Created in NX7.0.0.



License requirements : None

double NXOpen::GeometricUtilities::ModlMotion::DeltaZ ( )

Returns the delta z

Deprecated:
Deprecated in NX8.5.0.

Obtain the expression using NXOpen::GeometricUtilities::ModlMotion::DeltaZc to query or edit it.


Created in NX6.0.2.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DeltaZc ( )

Returns the delta zc
Created in NX7.0.0.



License requirements : None

NXOpen::GeometricUtilities::ModlDistanceAngle* NXOpen::GeometricUtilities::ModlMotion::DistanceAngle ( )

Returns the distance-angle of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceAngle motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsDistance ( )

Returns the distance of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsMeasurePoint ( )

Returns the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsOriginDistance ( )

Returns the distance between origin point and face of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsOriginPoint ( )

Returns the origin point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Direction* NXOpen::GeometricUtilities::ModlMotion::DistanceBetweenPointsVector ( )

Returns the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::DistanceValue ( )

Returns the distance value of NXOpen::GeometricUtilities::ModlMotion::OptionsDistance motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Direction* NXOpen::GeometricUtilities::ModlMotion::DistanceVector ( )

Returns the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistance motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::EndPoint ( )

Returns the end point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::CoordinateSystem* NXOpen::GeometricUtilities::ModlMotion::FromCsys ( )

Returns the "from csys" of NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys motion option .


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::FromPoint ( )

Returns the "from point" of NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Matrix3x3 NXOpen::GeometricUtilities::ModlMotion::ManipulatorMatrix ( )

Returns the matrix of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Point3d NXOpen::GeometricUtilities::ModlMotion::ManipulatorOrigin ( )

Returns the origin point of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.


Created in NX6.0.0.

License requirements : None

bool NXOpen::GeometricUtilities::ModlMotion::MoveHandle ( )

Returns the move handle toggle of NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.If true,moves only manipulator handle.

If false, moves both manipulator handle and object.
Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::ModlMotion::Options NXOpen::GeometricUtilities::ModlMotion::Option ( )

Returns the options.

Control the Motion methods.
Created in NX6.0.0.

License requirements : None

NXOpen::GeometricUtilities::OrientXpressBuilder* NXOpen::GeometricUtilities::ModlMotion::OrientXpress ( )

Returns the orientXpress.

OrientXpress used as overlay in Motion.
Created in NX6.0.0.

License requirements : None

NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::RadialAxis ( )

Returns the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::RadialDistance ( )

Returns the distance value of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::RadialMeasurePoint ( )

Returns the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::ModlMotion::RadialOriginDistance ( )

Returns the distance between axis point and face of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.


Created in NX6.0.0.

License requirements : None

void NXOpen::GeometricUtilities::ModlMotion::ResetMotionToThreeDimensions ( )

Reset motion to three dimensions
Created in NX6.0.0.



License requirements : None

NXOpen::Axis* NXOpen::GeometricUtilities::ModlMotion::RotateVector ( )

Returns the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.


Created in NX6.0.0.

License requirements : None

void NXOpen::GeometricUtilities::ModlMotion::SetAlignVector ( NXOpen::Axis alignVector)

Sets the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
alignVectoralignvector
void NXOpen::GeometricUtilities::ModlMotion::SetAngularAxis ( NXOpen::Axis angularAxis)

Sets the angular axis of NXOpen::GeometricUtilities::ModlMotion::OptionsAngle motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
angularAxisangularaxis
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaEnum ( NXOpen::GeometricUtilities::ModlMotion::Delta  deltaEnum)

Sets the delta enum
Created in NX6.0.2.



License requirements : None

Parameters
deltaEnumdeltaenum
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaX ( double  deltaX)

Sets the delta x

Deprecated:
Deprecated in NX8.5.0.

Obtain the expression using NXOpen::GeometricUtilities::ModlMotion::DeltaXc to query or edit it.


Created in NX6.0.2.

License requirements : None

Parameters
deltaXdeltax
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaY ( double  deltaY)

Sets the delta y

Deprecated:
Deprecated in NX8.5.0.

Obtain the expression using NXOpen::GeometricUtilities::ModlMotion::DeltaYc to query or edit it.


Created in NX6.0.2.

License requirements : None

Parameters
deltaYdeltay
void NXOpen::GeometricUtilities::ModlMotion::SetDeltaZ ( double  deltaZ)

Sets the delta z

Deprecated:
Deprecated in NX8.5.0.

Obtain the expression using NXOpen::GeometricUtilities::ModlMotion::DeltaZc to query or edit it.


Created in NX6.0.2.

License requirements : None

Parameters
deltaZdeltaz
void NXOpen::GeometricUtilities::ModlMotion::SetDependentView ( NXOpen::View view)

Set the view for view dependent drafting objects
Created in NX7.5.0.



License requirements : None

Parameters
viewview where to paste
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceBetweenPointsMeasurePoint ( NXOpen::Point measurePoint)

Sets the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
measurePointmeasurepoint
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceBetweenPointsOriginPoint ( NXOpen::Point originPoint)

Sets the origin point of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
originPointoriginpoint
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceBetweenPointsVector ( NXOpen::Direction vector)

Sets the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistanceBetweenPoints motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
vectorvector
void NXOpen::GeometricUtilities::ModlMotion::SetDistanceVector ( NXOpen::Direction distanceVector)

Sets the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsDistance motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
distanceVectordistancevector
void NXOpen::GeometricUtilities::ModlMotion::SetEndPoint ( NXOpen::Point endPoint)

Sets the end point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
endPointendpoint
void NXOpen::GeometricUtilities::ModlMotion::SetFromCsys ( NXOpen::CoordinateSystem fromcsys)

Sets the "from csys" of NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys motion option .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
fromcsysfromcsys
void NXOpen::GeometricUtilities::ModlMotion::SetFromPoint ( NXOpen::Point fromPoint)

Sets the "from point" of NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
fromPointfrompoint
void NXOpen::GeometricUtilities::ModlMotion::SetManipulatorMatrix ( const NXOpen::Matrix3x3 manipulatorMatrix)

Sets the matrix of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
manipulatorMatrixmanipulatormatrix
void NXOpen::GeometricUtilities::ModlMotion::SetManipulatorOrigin ( const NXOpen::Point3d manipulatorOrigin)

Sets the origin point of manipulator for NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
manipulatorOriginmanipulatororigin
void NXOpen::GeometricUtilities::ModlMotion::SetMotionToTwoDimensions ( NXOpen::Plane plane)

Set motion to two dimensions along the given plane
Created in NX6.0.0.



License requirements : None

Parameters
planePlane to which motion needs to be restricted
void NXOpen::GeometricUtilities::ModlMotion::SetMoveHandle ( bool  moveHandle)

Sets the move handle toggle of NXOpen::GeometricUtilities::ModlMotion::OptionsDynamic motion option.If true,moves only manipulator handle.

If false, moves both manipulator handle and object.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
moveHandlemovehandle
void NXOpen::GeometricUtilities::ModlMotion::SetOption ( NXOpen::GeometricUtilities::ModlMotion::Options  type)

Sets the options.

Control the Motion methods.
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
typetype
void NXOpen::GeometricUtilities::ModlMotion::SetRadialAxis ( NXOpen::Axis radialAxis)

Sets the axis of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
radialAxisradialaxis
void NXOpen::GeometricUtilities::ModlMotion::SetRadialMeasurePoint ( NXOpen::Point radialMeasuPoint)

Sets the measure point of NXOpen::GeometricUtilities::ModlMotion::OptionsRadialDistance motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
radialMeasuPointradialmeasupoint
void NXOpen::GeometricUtilities::ModlMotion::SetRotateVector ( NXOpen::Axis rotateVector)

Sets the direction of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
rotateVectorrotatevector
void NXOpen::GeometricUtilities::ModlMotion::SetStartPoint ( NXOpen::Point startPoint)

Sets the start point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
startPointstartpoint
void NXOpen::GeometricUtilities::ModlMotion::SetToCsys ( NXOpen::CoordinateSystem tocsys)

Sets the "to csys" where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys .


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
tocsystocsys
void NXOpen::GeometricUtilities::ModlMotion::SetToPoint ( NXOpen::Point toPoint)

Sets the point where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
toPointtopoint
void NXOpen::GeometricUtilities::ModlMotion::SetToVector ( NXOpen::Direction toVector)

Sets the vector of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
toVectortovector
void NXOpen::GeometricUtilities::ModlMotion::SetUpdateOption ( NXOpen::SmartObject::UpdateOption  option)

Set the update option for defining the update behavior for the object.

As an example, in modeling application, the update option should be "WithinModeling" and in drafting application it should be "AfterModeling".
Created in NX6.0.0.

License requirements : None

Parameters
optionUpdate option
NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::StartPoint ( )

Returns the start point of NXOpen::GeometricUtilities::ModlMotion::OptionsRotateByThreePoints motion option.


Created in NX6.0.0.

License requirements : None

NXOpen::CoordinateSystem* NXOpen::GeometricUtilities::ModlMotion::ToCsys ( )

Returns the "to csys" where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsCsysToCsys .


Created in NX6.0.0.

License requirements : None

NXOpen::Point* NXOpen::GeometricUtilities::ModlMotion::ToPoint ( )

Returns the point where object is moved for motion option NXOpen::GeometricUtilities::ModlMotion::OptionsPointToPoint
Created in NX6.0.0.



License requirements : None

NXOpen::Direction* NXOpen::GeometricUtilities::ModlMotion::ToVector ( )

Returns the vector of NXOpen::GeometricUtilities::ModlMotion::OptionsAlignAxisVector motion option.


Created in NX6.0.0.

License requirements : None

virtual bool NXOpen::GeometricUtilities::ModlMotion::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.